Get Observability Sessions Data (POST)
Retrieves the recording data for a specific session ID and recording ID. For mobile sessions, requires both session_id and recording_id. For web sessions, requires both session_id and tab_id.
Retrieves the recording data for a specific session ID and recording ID. For mobile sessions, requires both session_id and recording_id. For web sessions, requires both session_id and tab_id.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
The unique identifier of the recording to retrieve in case of mobile sessions.
textThe unique identifier of the session containing the recording.
textThe unique identifier of the tab to retrieve in case of web sessions.
textThe unique app ID to which the session belongs.
textResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/observability.sessions.data.get" \ -H "Content-Type: application/json" \ -d '{ "session_id": "string", "version_key": "string" }'{
"recording": "mobile_recording",
"app_launch": {
"launch_time_ms": 0,
"launch_type": "cold"
},
"available_ram": 0,
"created_at": "2023-01-01T12:00:00.000Z",
"device_metadata": {
"app_version": "string",
"manufacturer": "string",
"model": "string",
"network_type": "string",
"os_version": "string",
"plug_sdk_version": "string",
"screen_height": 0,
"screen_width": 0,
"sdk_version": "string"
},
"observability_sessions_log_data": {
"is_anr": true,
"is_crash": true,
"value": "string"
},
"recording_events_timeline": [
{
"coordinates": [
{
"x": 0.1,
"y": 0.1
}
],
"custom_tag": "string",
"event_name": "anr",
"event_properties": {},
"event_type": "plug",
"exception_class_name": "string",
"exception_tag": "string",
"input_type": "system_event_os",
"name": "string",
"non_responsive": true,
"object_name": "string",
"request_properties": {},
"response_properties": {},
"screen": "string",
"timestamp_offset_ms": 0
}
],
"recording_id": "string",
"rev_org_id": "REV-AbCdEfGh",
"rev_user_id": "string",
"session_id": "string",
"total_ram": 0,
"user_attributes": {},
"video_playback_data": [
{
"end_frame": "string",
"frame_image_map": {
"property1": "string",
"property2": "string"
},
"frames": [
"string"
],
"presigned_url": "string",
"start_frame": "string"
}
]
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}